<!-- Page Header-->
<header class="page-header">
  <div class="container-fluid">
    <h2 class="no-margin-bottom">Despesas</h2>
  </div>
</header>

<section class="forms">
  <div class="container-fluid">
    <div class="row">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-body">
            <form>
              <!-- Expense -->
              <div class="form-group row">
                <div class="col-lg-6">
                  <label class="form-control-label">Descrição</label>
                  <input type="text" class="form-control" placeholder="Informe a descrição da despesa" />
                </div>
                <div class="col-lg-6">
                  <label class="form-control-label">Categoria</label>
                  <select class="form-control" id="category">
                    <option></option>
                    <option>2</option>
                    <option>3</option>
                    <option>4</option>
                    <option>5</option>
                  </select>
                </div>
              </div>
              <div class="form-group row">
                <div class="col-lg-3">
                  <label class="form-control-label">Conta</label>
                  <select class="form-control" id="account">
                    <option></option>
                    <option>1</option>
                    <option>2</option>
                  </select>
                </div>
                <div class="col-lg-3">
                  <label class="form-control-label">Data competência</label>
                  <input type="date" class="form-control" />
                </div>
                <div class="col-lg-3">
                  <label class="form-control-label">Data vencimento</label>
                  <input type="date" class="form-control" />
                </div>
                <div class="col-lg-3">
                  <label class="form-control-label"> Valor</label>
                  <div class="input-group">
                    <span class="input-group-addon">R$</span>
                    <input type="number" min="0" class="form-control">
                  </div>
                </div>
              </div>
              <div class="line"></div>
              <!-- Recurring -->
              <div class="form-group row">
                <div class="col-lg-12">
                  <input name="IsRecurrent" id="isRecurrent" type="checkbox" [(ngModel)]="isRecurrent"/>
                  <label for="isRecurrent" class="form-control-label">Recorrente</label>
                </div>
              </div>
              <div class="form-group row">
                <div class="col-lg-3">
                  <select class="form-control" id="frequency" [disabled]="!isRecurrent">
                    <option>Diariamente</option>
                    <option>Semanalmente</option>
                    <option selected>Mensalmente</option>
                    <option>Anualmente</option>
                  </select>
                </div>
                <div class="col-lg-1">
                  <label class="form-control-label"> Ocorre</label>
                </div>
                <div class="col-lg-2">
                  <input type="text" class="form-control" [disabled]="!isRecurrent"/>
                </div>
                <div class="col-lg-3">
                  <label class="form-control-label"> vezes</label>
                </div>
              </div>
              <div class="line"></div>
              <!-- Payment -->
              <div class="form-group row">
                <div class="col-lg-12">
                  <input name="isPaid" id="isPaid" type="checkbox" [(ngModel)]="isPaid" />
                  <label for="isPaid" class="form-control-label">Pago</label>
                </div>
              </div>
              <div class="form-group row">
                <div class="col-lg-3">
                  <label class="form-control-label">Data pagamento</label>
                  <input name="payday" type="date" class="form-control" [disabled]="!isPaid" />
                </div>
                <div class="col-lg-3">
                  <label class="form-control-label"> Desconto</label>
                  <div class="input-group">
                    <span class="input-group-addon">R$</span>
                    <input name="discount" type="number" min="0" class="form-control" [disabled]="!isPaid">
                  </div>
                </div>
                <div class="col-lg-3">
                  <label class="form-control-label"> Juros/Multa</label>
                  <div class="input-group">
                    <span class="input-group-addon">R$</span>
                    <input name="penalty" type="number" min="0" class="form-control" [disabled]="!isPaid">
                  </div>
                </div>
                <div class="col-lg-3">
                  <label class="form-control-label"> Valor pago</label>
                  <div class="input-group">
                    <span class="input-group-addon">R$</span>
                    <input name="paidValue" type="number" min="0" class="form-control" [disabled]="!isPaid">
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>